using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童体质
    /// </summary>
    [SugarTable("YB_ChildPhysique", TableDescription = "儿童体质", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_ChildPhysique
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 类型,1-饮食,2-睡眠,3-精神,4-头面,5-口鼻,6-皮肤,7-指甲,8-大小便,9-出汗,10-身高体重
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-饮食,2-睡眠,3-精神,4-头面,5-口鼻,6-皮肤,7-指甲,8-大小便,9-出汗,10-身高体重")] 
        public int Type { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容",ColumnDataType ="nvarchar(100)")]
        public string Text { get; set; }
        /// <summary>
        /// 分数
        /// </summary>
        [SugarColumn(ColumnDescription = "分数")]
        public int Value { get; set; }
        /// <summary>
        /// 排序,数字越小越靠前
        /// </summary>
        [SugarColumn(ColumnDescription = "排序,数字越小越靠前")]
        public int Sort { get; set; }
    }
}
